Bug 865731 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:eab3b5e46d00a80727ddbfd107c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 05:20 EDT by Håkon Løvdal
Modified: 2013-08-01 15:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-10-12 05:21 EDT, Håkon Løvdal
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (372 bytes, text/plain)
2012-10-12 05:21 EDT, Håkon Løvdal
no flags Details

  None (edit)
Description Håkon Løvdal 2012-10-12 05:20:57 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.12
kernel:         3.5.1-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4650a6]
:1: /usr/bin/X (mieqEnqueue+0x26b) [0x55111b]
:2: /usr/bin/X (0x400000+0x48062) [0x448062]
:3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fe0afe3f000+0x60e4) [0x7fe0afe450e4]
:4: /usr/bin/X (0x400000+0x80557) [0x480557]
:5: /usr/bin/X (0x400000+0xa4730) [0x4a4730]
:6: /lib64/libpthread.so.0 (0x7fe0b6538000+0xefe0) [0x7fe0b6546fe0]
:7: /lib64/libc.so.6 (ioctl+0x7) [0x7fe0b52885f7]
:8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7fe0b39fb548]
:9: /lib64/libdrm_intel.so.1 (0x7fe0b32c9000+0x824c) [0x7fe0b32d124c]
:10: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7fe0b34e7000+0xf6f0) [0x7fe0b34f66f0]
:11: /usr/bin/X (_CallCallbacks+0x34) [0x438b84]
:12: /usr/bin/X (FlushAllOutput+0x2b) [0x4687eb]
:13: /usr/bin/X (0x400000+0x342a7) [0x4342a7]
:14: /usr/bin/X (0x400000+0x23485) [0x423485]
:15: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7fe0b51bf735]
:16: /usr/bin/X (0x400000+0x2375d) [0x42375d]
Comment 1 Håkon Løvdal 2012-10-12 05:21:00 EDT
Created attachment 625864 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Håkon Løvdal 2012-10-12 05:21:02 EDT
Created attachment 625865 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Adam Jackson 2012-10-18 17:47:13 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 4 Diego 2012-12-28 13:33:21 EST
I was on a Skype call (no video) and used KWin Desktop Grid. After a couple of seconds one of my two screen became blank, but the call went of for a couple of minutes more, but then everything freezed and I had to reboot.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Diego 2012-12-28 13:40:01 EST
(In reply to comment #4)
> I was on a Skype call (no video) and used KWin Desktop Grid. After a couple
> of seconds one of my two screen became blank, but the call went of for a
> couple of minutes more, but then everything freezed and I had to reboot.
> 
> Package: xorg-x11-server-Xorg-1.12.4-1.fc17
> OS Release: Fedora release 17 (Beefy Miracle)

Please reopen, I had the same with xorg-x11-server-Xorg-1.12.4-1.fc17.
$ rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.20.16-1.fc17.x86_64
Comment 6 Diego 2012-12-28 13:41:47 EST
Updated backtrace:
0: /usr/bin/X (xorg_backtrace+0x36) [0x465326]
1: /usr/bin/X (mieqEnqueue+0x26b) [0x55155b]
2: /usr/bin/X (0x400000+0x47f22) [0x447f22]
3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f5509384000+0x60e4) [0x7f550938a0e4]
4: /usr/bin/X (0x400000+0x80817) [0x480817]
5: /usr/bin/X (0x400000+0xa4b00) [0x4a4b00]
6: /lib64/libpthread.so.0 (0x7f550e776000+0xefe0) [0x7f550e784fe0]
7: /lib64/libc.so.6 (ioctl+0x7) [0x7f550d4c6307]
8: /lib64/libdrm.so.2 (drmIoctl+0x28) [0x7f550bc38658]
9: /lib64/libdrm_intel.so.1 (0x7f550b4fd000+0x9161) [0x7f550b506161]
10: /lib64/libdrm_intel.so.1 (0x7f550b4fd000+0x92e8) [0x7f550b5062e8]
11: /usr/lib64/xorg/modules/drivers/intel_drv.so (0x7f550b71d000+0xfb30) [0x7f550b72cb30]
12: /usr/bin/X (_CallCallbacks+0x34) [0x438ba4]
13: /usr/bin/X (FlushAllOutput+0x2b) [0x468abb]
14: /usr/bin/X (0x400000+0x342c7) [0x4342c7]
15: /usr/bin/X (0x400000+0x23475) [0x423475]
16: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x7f550d3fd735]
17: /usr/bin/X (0x400000+0x2374d) [0x42374d]
Comment 7 Fedora End Of Life 2013-07-04 03:38:25 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 15:59:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.